### Method

# Foundry LlmConversation dup_tools

#### Declaration [src]

    GListModel*
    foundry_llm_conversation_dup_tools (
      FoundryLlmConversation* self
    )

#### Description [src]

Lists tools made available to the conversation.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryLlmTool`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.